Skip to main content
Infrastructure/Federation & SSO

RedispatchSSOPlatform

Redispatch SCIM receiver settings and trigger an initial full sync for one associated platform.

POST/api/v1/sso/configurations/{id}/platforms/{platformUuid}/redispatch

Operation ID

RedispatchSSOPlatform

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • id
    StringRequired

    SSO configuration UUID.

  • platformUuid
    StringRequired

    Target platform UUID.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • platformUuid
    String

    UUID of the platform that received the federation push.

    Example: platform-abc123

  • productType
    String

    Product type of the platform that received the federation.

    Example: zstack

  • status
    String

    Status of the federation operation for this platform.

    Example: success

  • ssoClientUuid
    String

    Client UUID assigned by the platform after successful federation.

    Example: client-xyz

  • callbackUrl
    String

    Callback URL registered on the platform for this federation.

    Example: https://platform.example.com/sso/callback

  • error
    String

    Error description if federation to this platform failed.

    Example: connection refused

  • scimUserProvisioningError
    String

    Error description if SCIM user provisioning partially or fully failed after SSO federation.

    Example: sync SCIM users to platform platform-abc123: request timeout

  • scimGroupProvisioningError
    String

    Error description if SCIM group provisioning partially or fully failed after SSO federation.

    Example: sync SCIM groups to platform platform-abc123: request timeout